<div class="wrap">
    <h2><?php echo $this->plugin->displayName; ?> &raquo; <?php esc_html_e( 'Settings', 'sparxpres-websale-plugin' ); ?></h2>

    <?php
		if ( isset( $this->message ) ) {
			echo '<div class="updated fade"><p>'.$this->message.'</p></div>';
		}
		if ( isset( $this->errorMessage ) ) {
			echo '<div class="error fade"><p>'.$this->errorMessage.'</p></div>';
		}
    ?>

    <div id="poststuff">
    	<div id="post-body" class="metabox-holder">
    		<!-- Content -->
    		<div id="post-body-content">
				<div id="normal-sortables" class="meta-box-sortables ui-sortable">
	                <div class="postbox">
	                    <h3 class="hndle"><?php esc_html_e( 'Settings', 'sparxpres-websale-plugin' ); ?></h3>

						<form action="options-general.php?page=<?php echo $this->plugin->name; ?>" method="post">
		                    <div class="inside">
		                    	<p>
		                    		<label for="dk_sparxpres_link_id"><strong><?php esc_html_e('Sparxpres link id', 'sparxpres-websale-plugin' ); ?></strong></label>
		                    		<input type="text" name="dk_sparxpres_link_id" id="dk_sparxpres_link_id" class="widefat" maxlength="36" value="<?php echo $this->settings['dk_sparxpres_link_id']; ?>" />
		                    		<?php esc_html_e( 'Insert the link id you got from Sparxpres.' ); ?>
		                    	</p>
								<p>
									<label for="dk_sparxpres_display_view_type"><strong><?php esc_html_e('Period view', 'sparxpres-websale-plugin' ); ?></strong></label>
									<select name="dk_sparxpres_display_view_type" id="dk_sparxpres_display_view_type" class="widefat">
										<?php
                                        $viewType = $this->settings['dk_sparxpres_display_view_type'];
										?>
										<option value="slider" <?php echo $viewType == "slider" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Slider', 'sparxpres-websale-plugin' ) ); ?></option>
										<option value="dropdown" <?php echo $viewType == "dropdown" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Dropdown', 'sparxpres-websale-plugin' ) ); ?></option>
										<option value="plain" <?php echo $viewType == "plain" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Plain (only one period)', 'sparxpres-websale-plugin' ) ); ?></option>
									</select>
                                    <?php esc_html_e( 'Choose how the period selection is shown.' ); ?>
								</p>
								<p>
									<label for="dk_sparxpres_display_wrapper_type_product"><strong><?php esc_html_e('Product page view', 'sparxpres-websale-plugin' ); ?></strong></label>
									<select name="dk_sparxpres_display_wrapper_type_product" id="dk_sparxpres_display_wrapper_type_product" class="widefat">
                                        <?php
                                        $wrapperType = $this->settings['dk_sparxpres_display_wrapper_type_product'];
                                        ?>
										<option value="simple" <?php echo $wrapperType == "simple" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Show the loan calculation on the page', 'sparxpres-websale-plugin' ) ); ?></option>
										<option value="modal" <?php echo $wrapperType == "modal" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Show the loan calculation in a modal window (only finance button on the page)', 'sparxpres-websale-plugin' ) ); ?></option>
										<option value="none" <?php echo $wrapperType == "none" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Don\'t show the loan calculation', 'sparxpres-websale-plugin' ) ); ?></option>
									</select>
                                    <?php esc_html_e( 'Choose how the loan calculation is shown on the product page.' ); ?>
								</p>
								<p>
									<label for="dk_sparxpres_display_wrapper_type_cart"><strong><?php esc_html_e('Shopping cart view', 'sparxpres-websale-plugin' ); ?></strong></label>
									<select name="dk_sparxpres_display_wrapper_type_cart" id="dk_sparxpres_display_wrapper_type_cart" class="widefat">
										<?php
										$wrapperType = $this->settings['dk_sparxpres_display_wrapper_type_cart'];
										?>
										<option value="simple" <?php echo $wrapperType == "simple" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Show the loan calculation on the cart page', 'sparxpres-websale-plugin' ) ); ?></option>
										<option value="modal" <?php echo $wrapperType == "modal" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Show the loan calculation in a modal window (only finance button on the cart page)', 'sparxpres-websale-plugin' ) ); ?></option>
										<option value="none" <?php echo $wrapperType == "none" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Don\'t show the loan calculation', 'sparxpres-websale-plugin' ) ); ?></option>
									</select>
									<?php esc_html_e( 'Choose how the loan calculation is shown on the shopping cart page.' ); ?>
								</p>
							</div>

							<hr/>

							<h3 class="hndle"><?php esc_html_e( 'Advanced settings', 'sparxpres-websale-plugin' ); ?></h3>
							<div class="inside">
								<p>
									<label for="dk_sparxpres_main_color"><strong><?php esc_html_e('Change Sparxpres\' default color?', 'sparxpres-websale-plugin' ); ?></strong></label>
									<input type="text" name="dk_sparxpres_main_color" id="dk_sparxpres_main_color" class="widefat" maxlength="7" value="<?php echo $this->settings['dk_sparxpres_main_color']; ?>" />
									<?php esc_html_e( 'Change Sparxpres\' default red color, by inserting a color code in hex (must start with #, e.g. "#222222").' ); ?>
								</p>
								<p>
									<label for="dk_sparxpres_slider_bg_color"><strong><?php esc_html_e('Change Sparxpres\' slider background color?', 'sparxpres-websale-plugin' ); ?></strong></label>
									<input type="text" name="dk_sparxpres_slider_bg_color" id="dk_sparxpres_slider_bg_color" class="widefat" maxlength="7" value="<?php echo $this->settings['dk_sparxpres_slider_bg_color']; ?>" />
                                    <?php esc_html_e( 'Change Sparxpres\' default slider background color, by inserting a color code in hex (must start with #, e.g. "#666666").' ); ?>
								</p>
								<p>
									<label for="dk_sparxpres_info_page_id"><strong><?php esc_html_e('Finance information', 'sparxpres-websale-plugin' ); ?></strong></label>
									<select name="dk_sparxpres_info_page_id" id="dk_sparxpres_info_page_id" class="widefat">
                                        <?php
                                        $pages = get_pages();
                                        $curId = $this->settings['dk_sparxpres_info_page_id'];
                                        echo '<option value="" disabled '.($curId == "" ? "selected" : "").'>'.esc_attr( __( 'Choose information page', 'sparxpres-websale-plugin' ) ).'</option>';
                                        echo '<option value="-1" '.($curId == "-1" ? "selected" : "").'>'.esc_attr( __( 'Default: none', 'sparxpres-websale-plugin' ) ).'</option>';
                                        foreach ( $pages as $page ) {
                                            $option = '<option '.($curId==$page->ID ? 'selected' : '').' value="' . $page->ID . '">';
                                            $option .= $page->post_title;
                                            $option .= '</option>';
                                            echo $option;
                                        }
                                        ?>
									</select>
                                    <?php esc_html_e( 'DEPRECATED, if finance information should be shown on a specific page, then select it here (finance information always open as modal on loan calculations "read more" link).' ); ?>
								</p>
								<p>
									<label for="dk_sparxpres_content_display_type"><strong><?php esc_html_e('Finance information page integration', 'sparxpres-websale-plugin' ); ?></strong></label>
									<select name="dk_sparxpres_content_display_type" id="dk_sparxpres_content_display_type" class="widefat">
                                        <?php
                                        $contentType = $this->settings['dk_sparxpres_content_display_type'];
                                        ?>
										<option value="filter" <?php echo empty($contentType) || $contentType == "filter" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Use WordPress filter (default)', 'sparxpres-websale-plugin' ) ); ?></option>
										<option value="shortcode" <?php echo $contentType == "shortcode" ? "selected" : "" ?> ><?php echo esc_attr( __( 'Use shortcode target "[sparxpres_information]"', 'sparxpres-websale-plugin' ) ); ?></option>
									</select>
                                    <?php esc_html_e( 'DEPRECATED, specifies if the finance information is inserted with a wordpress filter or shortcode.' ); ?>
								</p>
								<p>
									<label for="dk_sparxpres_callback_identifier"><strong><?php esc_html_e('Callback key', 'sparxpres-websale-plugin' ); ?></strong> (<?php echo get_rest_url(null, '/sparxpres/v1/callback') ?>)</label>
									<input type="text" name="dk_sparxpres_callback_identifier" id="dk_sparxpres_callback_identifier" class="widefat" maxlength="40" readonly value="<?php echo $this->settings['dk_sparxpres_callback_identifier']; ?>" />
									<?php esc_html_e( 'This code is used to validate callbacks.' ); ?>
								</p>

								<hr/>

		                    	<p>
									<input type="submit" name="btnSave" class="button button-primary" value="<?php esc_html_e( 'Save', 'sparxpres-websale-plugin' ); ?>" />
								</p>
							</div>
							<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>
						</form>
	                </div>
	                <!-- /postbox -->
				</div>
				<!-- /normal-sortables -->
    		</div>
    		<!-- /post-body-content -->

    		<!-- /postbox-container -->
    	</div>
	</div>
</div>
